diff --git a/tests/test_ezt.py b/tests/test_ezt.py
index 254951900..513436c91 100644
--- a/tests/test_ezt.py
+++ b/tests/test_ezt.py
@@ -1,8 +1,8 @@
 import datetime
+import io
 import pytest
 import os
 
-from django.utils.six import StringIO
 from quixote import cleanup
 from wcs.qommon.ezt import (
     Template,
@@ -36,7 +36,7 @@ def pub(request):
 def test_simple_qualifier():
     template = Template()
     template.parse('<p>[foo]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': 'bar'})
     assert output.getvalue() == '<p>bar</p>'
 
@@ -44,7 +44,7 @@ def test_simple_qualifier():
 def test_simple_qualifier_missing_variable():
     template = Template()
     template.parse('<p>[foo]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {})
     assert output.getvalue() == '<p>[foo]</p>'
 
@@ -54,17 +54,17 @@ def test_if_any():
     template.parse('<p>[if-any foo]bar[end]</p>')
 
     # boolean
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': True})
     assert output.getvalue() == '<p>bar</p>'
 
     # no value
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {})
     assert output.getvalue() == '<p></p>'
 
     # defined but evaluating to False
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': False})
     assert output.getvalue() == '<p>bar</p>'
 
@@ -73,11 +73,11 @@ def test_if_any_else():
     template = Template()
     template.parse('<p>[if-any foo]bar[else]baz[end]</p>')
 
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': True})
     assert output.getvalue() == '<p>bar</p>'
 
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {})
     assert output.getvalue() == '<p>baz</p>'
 
@@ -87,17 +87,17 @@ def test_is():
     template.parse('<p>[is foo "bar"]bar[end]</p>')
 
     # no value
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {})
     assert output.getvalue() == '<p></p>'
 
     # defined but other value
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': 'baz'})
     assert output.getvalue() == '<p></p>'
 
     # defined with correct value
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': 'bar'})
     assert output.getvalue() == '<p>bar</p>'
 
@@ -105,7 +105,7 @@ def test_is():
 def test_callable_qualifier():
     template = Template()
     template.parse('<p>[foo]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': lambda x: x.write('bar')})
     assert output.getvalue() == '<p>bar</p>'
 
@@ -113,13 +113,13 @@ def test_callable_qualifier():
 def test_date_qualifier(pub):
     template = Template()
     template.parse('<p>[foo]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': datetime.date(2019, 1, 2)})
     assert output.getvalue() == '<p>2019-01-02</p>'
 
     pub.cfg['language'] = {'language': 'fr'}
     pub.write_cfg()
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': datetime.date(2019, 1, 2)})
     assert output.getvalue() == '<p>02/01/2019</p>'
 
@@ -127,13 +127,13 @@ def test_date_qualifier(pub):
 def test_datetime_qualifier(pub):
     template = Template()
     template.parse('<p>[foo]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': datetime.datetime(2019, 1, 2, 14, 4)})
     assert output.getvalue() == '<p>2019-01-02 14:04</p>'
 
     pub.cfg['language'] = {'language': 'fr'}
     pub.write_cfg()
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': datetime.datetime(2019, 1, 2, 14, 4)})
     assert output.getvalue() == '<p>02/01/2019 14:04</p>'
 
@@ -181,13 +181,13 @@ def test_missing_is_arg():
 def test_array_index():
     template = Template()
     template.parse('<p>[foo.0]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': ['bar']})
     assert output.getvalue() == '<p>bar</p>'
 
     template = Template()
     template.parse('<p>[foo.bar]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': ['bar']})
     assert output.getvalue() == '<p>[foo.bar]</p>'
 
@@ -195,7 +195,7 @@ def test_array_index():
 def test_array_subindex():
     template = Template()
     template.parse('<p>[foo.0.1]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': [['bar', 'baz']]})
     assert output.getvalue() == '<p>baz</p>'
 
@@ -203,13 +203,13 @@ def test_array_subindex():
 def test_dict_index():
     template = Template()
     template.parse('<p>[foo.a]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': {'a': 'bar'}})
     assert output.getvalue() == '<p>bar</p>'
 
     template = Template()
     template.parse('<p>[foo.b]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, {'foo': {'a': 'bar'}})
     assert output.getvalue() == '<p>[foo.b]</p>'
 
@@ -223,14 +223,14 @@ def test_ezt_script(pub):
     vars = {'script': ScriptsSubstitutionProxy()}
     template = Template()
     template.parse('<p>[script.hello_world]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, vars)
     assert output.getvalue() == '<p>Hello world</p>'
 
     vars = {'script': ScriptsSubstitutionProxy()}
     template = Template()
     template.parse('<p>[script.hello_world "fred"]</p>')
-    output = StringIO()
+    output = io.StringIO()
     template.generate(output, vars)
     assert output.getvalue() == '<p>Hello fred</p>'
 
diff --git a/tests/test_fc_auth.py b/tests/test_fc_auth.py
index 4383286e5..655684b08 100644
--- a/tests/test_fc_auth.py
+++ b/tests/test_fc_auth.py
@@ -1,9 +1,8 @@
 import base64
 import json
+import urllib.parse
 
 from django.utils.encoding import force_bytes, force_text
-from django.utils.six.moves.urllib import parse as urllib
-from django.utils.six.moves.urllib import parse as urlparse
 from quixote import cleanup, get_session_manager
 
 from utilities import get_app, create_temporary_pub
@@ -126,7 +125,7 @@ def test_fc_login_page(caplog):
     resp = app.get('/login/')
     assert resp.status_int == 302
     assert resp.location.startswith('https://fcp.integ01.dev-franceconnect.fr/api/v1/authorize')
-    qs = urlparse.parse_qs(resp.location.split('?')[1])
+    qs = urllib.parse.parse_qs(resp.location.split('?')[1])
     nonce = qs['nonce'][0]
     state = qs['state'][0]
 
@@ -152,7 +151,7 @@ def test_fc_login_page(caplog):
         http_get_page.return_value = (None, 200, json.dumps(user_info_result), None)
         resp = app.get(
             '/ident/fc/callback?%s'
-            % urllib.urlencode(
+            % urllib.parse.urlencode(
                 {
                     'code': '1234',
                     'state': state,
@@ -176,19 +175,19 @@ def test_fc_login_page(caplog):
     assert session.extra_user_variables['fc_sub'] == 'ymca'
 
     resp = app.get('/logout')
-    splitted = urlparse.urlsplit(resp.location)
+    splitted = urllib.parse.urlsplit(resp.location)
     assert (
-        urlparse.urlunsplit((splitted.scheme, splitted.netloc, splitted.path, '', ''))
+        urllib.parse.urlunsplit((splitted.scheme, splitted.netloc, splitted.path, '', ''))
         == 'https://fcp.integ01.dev-franceconnect.fr/api/v1/logout'
     )
-    assert urlparse.parse_qs(splitted.query)['post_logout_redirect_uri'] == ['http://example.net']
-    assert urlparse.parse_qs(splitted.query)['id_token_hint']
+    assert urllib.parse.parse_qs(splitted.query)['post_logout_redirect_uri'] == ['http://example.net']
+    assert urllib.parse.parse_qs(splitted.query)['id_token_hint']
     assert not get_session(app)
 
     # Test error handling path
     resp = app.get(
         '/ident/fc/callback?%s'
-        % urllib.urlencode(
+        % urllib.parse.urlencode(
             {
                 'state': state,
                 'error': 'access_denied',
@@ -198,7 +197,7 @@ def test_fc_login_page(caplog):
     assert 'user did not authorize login' in caplog.records[-1].message
     resp = app.get(
         '/ident/fc/callback?%s'
-        % urllib.urlencode(
+        % urllib.parse.urlencode(
             {
                 'state': state,
                 'error': 'whatever',
@@ -212,7 +211,7 @@ def test_fc_login_page(caplog):
         resp = app.get(login_url)
         assert resp.status_int == 302
         assert resp.location.startswith('https://fcp.integ01.dev-franceconnect.fr/api/v1/authorize')
-        qs = urlparse.parse_qs(resp.location.split('?')[1])
+        qs = urllib.parse.parse_qs(resp.location.split('?')[1])
         state = qs['state'][0]
         id_token['nonce'] = qs['nonce'][0]
         token_result['id_token'] = '.%s.' % force_text(base64url_encode(json.dumps(id_token)))
@@ -224,7 +223,7 @@ def test_fc_login_page(caplog):
             http_get_page.return_value = (None, 200, json.dumps(user_info_result), None)
             resp = app.get(
                 '/ident/fc/callback?%s'
-                % urllib.urlencode(
+                % urllib.parse.urlencode(
                     {
                         'code': '1234',
                         'state': state,
@@ -263,7 +262,7 @@ def test_fc_login_page(caplog):
     resp = app.get('/login/')
     assert resp.status_int == 302
     assert resp.location.startswith('https://fcp.integ01.dev-franceconnect.fr/api/v1/authorize')
-    qs = urlparse.parse_qs(resp.location.split('?')[1])
+    qs = urllib.parse.parse_qs(resp.location.split('?')[1])
     state = qs['state'][0]
     id_token['nonce'] = qs['nonce'][0]
     token_result['id_token'] = '.%s.' % force_text(base64url_encode(json.dumps(id_token)))
@@ -280,7 +279,7 @@ def test_fc_login_page(caplog):
         http_get_page.return_value = (None, 200, json.dumps(bad_user_info_result), None)
         resp = app.get(
             '/ident/fc/callback?%s'
-            % urllib.urlencode(
+            % urllib.parse.urlencode(
                 {
                     'code': '1234',
                     'state': state,
diff --git a/tests/test_formdef.py b/tests/test_formdef.py
index b54b3fe5d..d4ad2e144 100644
--- a/tests/test_formdef.py
+++ b/tests/test_formdef.py
@@ -1,5 +1,6 @@
 import datetime
 import glob
+import io
 import json
 import os
 import pickle
@@ -9,9 +10,7 @@ import time
 
 import pytest
 
-from django.utils import six
 from django.utils.encoding import force_bytes
-from django.utils.six import BytesIO
 from quixote import cleanup
 from wcs import fields
 from wcs.blocks import BlockDef
@@ -438,7 +437,7 @@ def test_unused_file_removal_job(pub):
         formdata.store()
 
         formdata.evolution[-1].parts = [
-            AttachmentEvolutionPart('hello.txt', fp=BytesIO(b'hello world'), varname='testfile')
+            AttachmentEvolutionPart('hello.txt', fp=io.BytesIO(b'hello world'), varname='testfile')
         ]
         formdata.store()
         assert len(glob.glob(os.path.join(pub.app_dir, 'attachments', '*/*'))) == 1
diff --git a/tests/test_formdef_import.py b/tests/test_formdef_import.py
index 996bcd3a5..b5cc0dbff 100644
--- a/tests/test_formdef_import.py
+++ b/tests/test_formdef_import.py
@@ -1,11 +1,11 @@
 # -*- coding: utf-8 -*-
 
+import io
 import pytest
 import shutil
 import time
 import xml.etree.ElementTree as ET
 
-from django.utils.six import BytesIO, StringIO
 from quixote import cleanup
 
 from wcs.categories import Category
@@ -52,7 +52,7 @@ def assert_xml_import_export_works(formdef, include_id=False):
 
 def assert_json_import_export_works(formdef, include_id=False):
     formdef2 = FormDef.import_from_json(
-        StringIO(formdef.export_to_json(include_id=include_id)), include_id=include_id
+        io.StringIO(formdef.export_to_json(include_id=include_id)), include_id=include_id
     )
     assert_compare_formdef(formdef, formdef2, include_id=include_id)
     return formdef2
@@ -216,7 +216,7 @@ def test_workflow_options_with_file():
 
     upload = Upload('/foo/bar', content_type='application/vnd.oasis.opendocument.text')
     file_content = b'''PK\x03\x04\x14\x00\x00\x08\x00\x00\'l\x8eG^\xc62\x0c\'\x00'''
-    upload.fp = BytesIO()
+    upload.fp = io.BytesIO()
     upload.fp.write(file_content)
     upload.fp.seek(0)
     model_file = UploadedFile(pub.APP_DIR, None, upload)
@@ -339,7 +339,7 @@ def test_invalid_field_type():
     formdef.fields = [fields.StringField(id='1', type='XXX')]
     export = ET.tostring(export_to_indented_xml(formdef))
     with pytest.raises(FormdefImportError):
-        FormDef.import_from_xml(BytesIO(export), include_id=True)
+        FormDef.import_from_xml(io.BytesIO(export), include_id=True)
 
 
 def test_invalid_data_source():
@@ -352,11 +352,11 @@ def test_invalid_data_source():
     export = export.replace(
         b'<data_source><type>xxx</type></data_source>', b'<data_source><type/></data_source>'
     )
-    formdef2 = FormDef.import_from_xml(BytesIO(export))
+    formdef2 = FormDef.import_from_xml(io.BytesIO(export))
     assert formdef2.fields[0].data_source == {}
 
     export = export.replace(b'<data_source><type/></data_source>', b'<data_source>    </data_source>')
-    formdef2 = FormDef.import_from_xml(BytesIO(export))
+    formdef2 = FormDef.import_from_xml(io.BytesIO(export))
     assert formdef2.fields[0].data_source == {}
 
 
@@ -368,12 +368,12 @@ def test_unknown_data_source():
     ]
     export = ET.tostring(export_to_indented_xml(formdef))
 
-    FormDef.import_from_xml(BytesIO(export))
+    FormDef.import_from_xml(io.BytesIO(export))
 
     formdef.fields = [fields.StringField(id='1', type='string', data_source={'type': 'foobar'})]
     export = ET.tostring(export_to_indented_xml(formdef))
     with pytest.raises(FormdefImportError, match='Unknown datasources'):
-        FormDef.import_from_xml(BytesIO(export))
+        FormDef.import_from_xml(io.BytesIO(export))
 
     # carddef as datasource
     carddef = CardDef()
@@ -385,12 +385,12 @@ def test_unknown_data_source():
 
     formdef.fields = [fields.StringField(id='1', type='string', data_source={'type': 'carddef:foo'})]
     export = ET.tostring(export_to_indented_xml(formdef))
-    FormDef.import_from_xml(BytesIO(export))
+    FormDef.import_from_xml(io.BytesIO(export))
 
     formdef.fields = [fields.StringField(id='1', type='string', data_source={'type': 'carddef:unknown'})]
     export = ET.tostring(export_to_indented_xml(formdef))
     with pytest.raises(FormdefImportError):
-        FormDef.import_from_xml(BytesIO(export))
+        FormDef.import_from_xml(io.BytesIO(export))
 
     # carddef custom view as datasource
     pub.custom_view_class.wipe()
@@ -406,12 +406,12 @@ def test_unknown_data_source():
         fields.StringField(id='1', type='string', data_source={'type': 'carddef:foo:card-view'})
     ]
     export = ET.tostring(export_to_indented_xml(formdef))
-    FormDef.import_from_xml(BytesIO(export))
+    FormDef.import_from_xml(io.BytesIO(export))
 
     formdef.fields = [fields.StringField(id='1', type='string', data_source={'type': 'carddef:foo:unknown'})]
     export = ET.tostring(export_to_indented_xml(formdef))
     with pytest.raises(FormdefImportError):
-        FormDef.import_from_xml(BytesIO(export))
+        FormDef.import_from_xml(io.BytesIO(export))
 
 
 def test_duplicated_field_ids():
@@ -425,12 +425,12 @@ def test_duplicated_field_ids():
     export = ET.tostring(export_to_indented_xml(formdef, include_id=True))
 
     with pytest.raises(FormdefImportError):
-        FormDef.import_from_xml(BytesIO(export))
+        FormDef.import_from_xml(io.BytesIO(export))
 
     with pytest.raises(FormdefImportError):
-        FormDef.import_from_xml(BytesIO(export), include_id=True)
+        FormDef.import_from_xml(io.BytesIO(export), include_id=True)
 
-    formdef2 = FormDef.import_from_xml(BytesIO(export), fix_on_error=True)
+    formdef2 = FormDef.import_from_xml(io.BytesIO(export), fix_on_error=True)
     assert formdef2.fields[0].id == '1'
     assert formdef2.fields[1].id == '2'
     assert formdef2.fields[2].id == '3'
@@ -446,7 +446,7 @@ def test_wrong_max_field_id():
     formdef.max_field_id = 1
     export = ET.tostring(export_to_indented_xml(formdef, include_id=True))
 
-    formdef2 = FormDef.import_from_xml(BytesIO(export), include_id=True)
+    formdef2 = FormDef.import_from_xml(io.BytesIO(export), include_id=True)
     assert formdef2.max_field_id == 2
 
 
@@ -639,7 +639,7 @@ def test_field_validation():
     old_format = ET.tostring(formdef_xml).replace(
         b'<validation><type>regex</type><value>\\d</value></validation>', b'<validation>\\d</validation>'
     )
-    f2 = FormDef.import_from_xml(BytesIO(old_format))
+    f2 = FormDef.import_from_xml(io.BytesIO(old_format))
     assert len(f2.fields) == len(formdef.fields)
     assert f2.fields[0].validation == {'type': 'regex', 'value': '\\d'}
 
@@ -745,7 +745,7 @@ def test_custom_views():
     formdef.data_class().wipe()
     pub.custom_view_class.wipe()
 
-    formdef2 = FormDef.import_from_xml(BytesIO(ET.tostring(formdef_xml)))
+    formdef2 = FormDef.import_from_xml(io.BytesIO(ET.tostring(formdef_xml)))
     assert formdef2.name == 'foo'
     assert formdef2._custom_views
 
diff --git a/tests/test_hobo.py b/tests/test_hobo.py
index e57acc815..9f57f00e1 100644
--- a/tests/test_hobo.py
+++ b/tests/test_hobo.py
@@ -13,7 +13,7 @@ import mock
 
 from utilities import create_temporary_pub, clean_temporary_pub
 
-from django.utils.six.moves.urllib import parse as urlparse
+import urllib.parse
 from quixote import cleanup
 
 from wcs.qommon import force_str
@@ -243,7 +243,7 @@ def test_configure_site_options():
     key = '109fca71e7dc8ec49708a08fa7c02795de13f34f7d29d27bd150f203b3e0ab40'
     assert pub.get_site_option('authentic.example.net', 'api-secrets') == key
     assert pub.get_site_option('authentic.example.net', 'wscall-secrets') == key
-    self_domain = urlparse.urlsplit(service.get('base_url')).netloc
+    self_domain = urllib.parse.urlsplit(service.get('base_url')).netloc
     assert pub.get_site_option(self_domain, 'wscall-secrets') != '0'
 
     service['variables']['xxx'] = None
diff --git a/tests/test_mail_templates.py b/tests/test_mail_templates.py
index c38a0c5eb..220cc34fe 100644
--- a/tests/test_mail_templates.py
+++ b/tests/test_mail_templates.py
@@ -1,13 +1,13 @@
 # -*- coding: utf-8 -*-
 
 import base64
+import io
 import os
 import pytest
 from webtest import Upload
 import xml.etree.ElementTree as ET
 
 from django.utils.encoding import force_bytes
-from django.utils.six import StringIO
 from quixote import cleanup
 from wcs.formdef import FormDef
 from wcs.fields import FileField
@@ -325,7 +325,7 @@ def test_mail_templates_export(pub, superuser, mail_template):
     resp = resp.click(href='export')
     xml_export = resp.text
 
-    ds = StringIO(xml_export)
+    ds = io.StringIO(xml_export)
     mail_template2 = MailTemplate.import_from_xml(ds)
     assert mail_template2.name == 'test MT'
 
diff --git a/tests/test_publisher.py b/tests/test_publisher.py
index 501a04164..955d48721 100644
--- a/tests/test_publisher.py
+++ b/tests/test_publisher.py
@@ -1,3 +1,4 @@
+import io
 import json
 import re
 import stat
@@ -17,9 +18,7 @@ from django.core.management import call_command
 from django.core.management.base import CommandError
 from django.http import Http404
 from django.test import override_settings
-from django.utils import six
 from django.utils.encoding import force_text
-from django.utils.six import BytesIO, StringIO
 from quixote import cleanup
 from wcs.qommon import get_publisher_class
 from wcs.qommon.afterjobs import AfterJob
@@ -115,7 +114,7 @@ def test_finish_failed_request():
 
 def test_finish_interrupted_request():
     req = HTTPRequest(
-        StringIO(''),
+        io.StringIO(''),
         {
             'SERVER_NAME': 'example.net',
             'SCRIPT_NAME': '',
@@ -125,7 +124,7 @@ def test_finish_interrupted_request():
     response = pub.process_request(req)
     assert b'invalid content-length header' in response.getvalue()
     req = HTTPRequest(
-        StringIO(''),
+        io.StringIO(''),
         {
             'SERVER_NAME': 'example.net',
             'SCRIPT_NAME': '',
@@ -136,7 +135,7 @@ def test_finish_interrupted_request():
     response = pub.process_request(req)
     assert b'Invalid request: unexpected end of request body' in response.getvalue()
     req = HTTPRequest(
-        StringIO(''),
+        io.StringIO(''),
         {
             'SERVER_NAME': 'example.net',
             'SCRIPT_NAME': '',
@@ -148,7 +147,7 @@ def test_finish_interrupted_request():
     assert b'Invalid request: multipart/form-data missing boundary' in response.getvalue()
     with pytest.raises(Http404):
         req = HTTPRequest(
-            StringIO(''),
+            io.StringIO(''),
             {
                 'SERVER_NAME': 'example.net',
                 'SCRIPT_NAME': '',
@@ -184,7 +183,7 @@ def test_import_config_zip():
     pub.cfg['sp'] = {'what': 'ever'}
     pub.write_cfg()
 
-    c = BytesIO()
+    c = io.BytesIO()
     z = zipfile.ZipFile(c, 'w')
     z.writestr('config.pck', pickle.dumps({'language': {'language': 'fr'}, 'whatever': ['a', 'b', 'c']}))
     z.close()
@@ -195,7 +194,7 @@ def test_import_config_zip():
     assert pub.cfg['whatever'] == ['a', 'b', 'c']
     assert pub.cfg['sp'] == {'what': 'ever'}
 
-    c = BytesIO()
+    c = io.BytesIO()
     z = zipfile.ZipFile(c, 'w')
     z.writestr(
         'config.json', json.dumps({'language': {'language': 'en'}, 'whatever2': ['a', 'b', {'c': 'd'}]})
diff --git a/tests/test_saml2utils.py b/tests/test_saml2utils.py
index 00791f405..eea6f8979 100644
--- a/tests/test_saml2utils.py
+++ b/tests/test_saml2utils.py
@@ -1,7 +1,5 @@
 import shutil
 
-from django.utils import six
-
 from quixote import cleanup
 
 from wcs.qommon import x509utils
@@ -34,6 +32,6 @@ def test_metadata_generation():
     )
     assert meta != None
     content = meta.get_saml2_metadata(pkey, '', True, True)
-    assert isinstance(content, six.string_types) and content != ''
+    assert isinstance(content, str) and content != ''
     assert 'EntityDescriptor' in content
     assert 'SPSSODescriptor' in content
diff --git a/tests/test_saml_auth.py b/tests/test_saml_auth.py
index 71b3b7d80..23ba8c662 100644
--- a/tests/test_saml_auth.py
+++ b/tests/test_saml_auth.py
@@ -10,7 +10,7 @@ except ImportError:
 
 import pytest
 
-from django.utils.six.moves.urllib import parse as urlparse
+import urllib.parse
 from quixote import cleanup
 from quixote import get_session, get_session_manager
 from wcs.qommon.http_request import HTTPRequest
@@ -350,7 +350,7 @@ def test_saml_login_page(pub):
     assert resp.status_int == 302
     assert resp.location.startswith('http://sso.example.net/saml2/sso?SAMLRequest=')
     request = lasso.Samlp2AuthnRequest()
-    request.initFromQuery(urlparse.urlparse(resp.location).query)
+    request.initFromQuery(urllib.parse.urlparse(resp.location).query)
     assert request.forceAuthn is False
 
 
@@ -359,7 +359,7 @@ def test_saml_login_page_force_authn(pub):
     assert resp.status_int == 302
     assert resp.location.startswith('http://sso.example.net/saml2/sso?SAMLRequest=')
     request = lasso.Samlp2AuthnRequest()
-    request.initFromQuery(urlparse.urlparse(resp.location).query)
+    request.initFromQuery(urllib.parse.urlparse(resp.location).query)
     assert request.forceAuthn is True
 
 
@@ -380,13 +380,13 @@ def test_saml_backoffice_redirect(pub):
     assert resp.location.startswith('http://example.net/login/?next=')
     resp = resp.follow()
     assert resp.location.startswith('http://sso.example.net/saml2/sso')
-    assert urlparse.parse_qs(urlparse.urlparse(resp.location).query)['SAMLRequest']
-    assert urlparse.parse_qs(urlparse.urlparse(resp.location).query)['RelayState'] == [
+    assert urllib.parse.parse_qs(urllib.parse.urlparse(resp.location).query)['SAMLRequest']
+    assert urllib.parse.parse_qs(urllib.parse.urlparse(resp.location).query)['RelayState'] == [
         'http://example.net/backoffice/'
     ]
 
     request = lasso.Samlp2AuthnRequest()
-    request.initFromQuery(urlparse.urlparse(resp.location).query)
+    request.initFromQuery(urllib.parse.urlparse(resp.location).query)
     assert ':next_url>http://example.net/backoffice/<' in request.getOriginalXmlnode()
 
 
@@ -395,7 +395,7 @@ def test_saml_login_hint(pub):
     assert resp.status_int == 302
     assert resp.location.startswith('http://sso.example.net/saml2/sso')
     request = lasso.Samlp2AuthnRequest()
-    request.initFromQuery(urlparse.urlparse(resp.location).query)
+    request.initFromQuery(urllib.parse.urlparse(resp.location).query)
     assert 'login-hint' not in request.getOriginalXmlnode()
 
     resp = get_app(pub).get('/backoffice/')
@@ -404,12 +404,12 @@ def test_saml_login_hint(pub):
     resp = resp.follow()
     assert resp.location.startswith('http://sso.example.net/saml2/sso')
     request = lasso.Samlp2AuthnRequest()
-    request.initFromQuery(urlparse.urlparse(resp.location).query)
+    request.initFromQuery(urllib.parse.urlparse(resp.location).query)
     assert ':login-hint>backoffice<' in request.getOriginalXmlnode()
 
     resp = get_app(pub).get('http://example.net/login/?next=/backoffice/')
     request = lasso.Samlp2AuthnRequest()
-    request.initFromQuery(urlparse.urlparse(resp.location).query)
+    request.initFromQuery(urllib.parse.urlparse(resp.location).query)
     assert ':login-hint>backoffice<' in request.getOriginalXmlnode()
 
 
@@ -507,7 +507,7 @@ def test_saml_idp_logout(pub):
     logout.buildRequestMsg()
 
     # process logout message
-    saml2.slo_idp(urlparse.urlparse(logout.msgUrl).query)
+    saml2.slo_idp(urllib.parse.urlparse(logout.msgUrl).query)
     assert req.response.headers['location'].startswith(
         'http://sso.example.net/saml2/slo_return?SAMLResponse='
     )
diff --git a/tests/test_snapshots.py b/tests/test_snapshots.py
index 3639ab44e..dc4002bf9 100644
--- a/tests/test_snapshots.py
+++ b/tests/test_snapshots.py
@@ -1,10 +1,10 @@
+import io
 import os
 import shutil
 import xml.etree.ElementTree as ET
 
 import pytest
 
-from django.utils.six import BytesIO
 from quixote.http_request import Upload
 
 from wcs.blocks import BlockDef
@@ -410,7 +410,7 @@ def test_workflow_with_model_snapshot_browse(pub):
     export_to.label = 'test'
     upload = Upload('/foo/bar', content_type='application/vnd.oasis.opendocument.text')
     file_content = b'''PK\x03\x04\x14\x00\x00\x08\x00\x00\'l\x8eG^\xc62\x0c\'\x00'''
-    upload.fp = BytesIO()
+    upload.fp = io.BytesIO()
     upload.fp.write(file_content)
     upload.fp.seek(0)
     export_to.model_file = UploadedFile('models', 'tmp', upload)
